searchNodes=[{"doc":"A set of functions to fetch data from the Alpha Vantage API in flexible manner, as well as retrieve the valid inputs for the API.","ref":"AlphaVantage.html","title":"AlphaVantage","type":"module"},{"doc":"Returns data per the provided function and inputs, accepted as a keyword list or map. Please cite the Alpha Vantage documentation for details as to what parameters and options are to be utilized for each function. The Cryptocurrenies, Forex, StockTimeSeries, and TechnicalIndicators modules can be leveraged for more structured and explicit inputs, per function.","ref":"AlphaVantage.html#query/1","title":"AlphaVantage.query/1","type":"function"},{"doc":"A set of functions for fetching cryptocurrency data from Alpha Vantage .","ref":"AlphaVantage.Cryptocurrencies.html","title":"AlphaVantage.Cryptocurrencies","type":"module"},{"doc":"Returns the real-time price of AVC with the United States Dollar (USD) as the base currency. The AVC price is streamed from the major decentralized exchange (DEX) Uniswap. Please reference https://www.alphavantage.co/documentation/#avc-price for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#alpha_vantage_coin/1","title":"AlphaVantage.Cryptocurrencies.alpha_vantage_coin/1","type":"function"},{"doc":"Returns the daily historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC). Prices and volumes are quoted in both the market-specific currency and USD. Please reference https://www.alphavantage.co/documentation/#currency-daily for more detail. Parameters Required :symbol The digital/crypto currency of your choice. It can be any of the currencies in the digital currency list . For example: &quot;BTC&quot; :market The exchange market of your choice. It can be any of the market in the market list . For example: &quot;CNY&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#daily/3","title":"AlphaVantage.Cryptocurrencies.daily/3","type":"function"},{"doc":"Returns the realtime exchange rate for any pair of digital currency (e.g., Bitcoin) and physical currency (e.g., USD). Data returned for physical currency (Forex) pairs also include realtime bid and ask prices. Please reference https://www.alphavantage.co/documentation/#crypto-exchange for more detail. Parameters Required :from_currency The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_currency The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; *Please note that &quot;csv&quot; is not yet supported by Alpha Vantage for this function.","ref":"AlphaVantage.Cryptocurrencies.html#exchange_rate/3","title":"AlphaVantage.Cryptocurrencies.exchange_rate/3","type":"function"},{"doc":"Returns intraday time series (timestamp, open, high, low, close, volume) of the cryptocurrency specified, updated realtime. Please reference https://www.alphavantage.co/documentation/#crypto-intraday for more detail. Parameters Required :symbol The digital/crypto currency of your choice. It can be any of the currencies in the digital currency list . For example: &quot;BTC&quot; :market The exchange market of your choice. It can be any of the market in the market list . For example: &quot;USD&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Cryptocurrencies.html#intraday/4","title":"AlphaVantage.Cryptocurrencies.intraday/4","type":"function"},{"doc":"Returns the monthly historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC). Prices and volumes are quoted in both the market-specific currency and USD. Please reference https://www.alphavantage.co/documentation/#currency-monthly for more detail. Parameters Required :symbol The digital/crypto currency of your choice. It can be any of the currencies in the digital currency list . For example: &quot;BTC&quot; :market The exchange market of your choice. It can be any of the market in the market list . For example: &quot;CNY&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#monthly/3","title":"AlphaVantage.Cryptocurrencies.monthly/3","type":"function"},{"doc":"Returns the weekly historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC). Prices and volumes are quoted in both the market-specific currency and USD. Please reference https://www.alphavantage.co/documentation/#currency-weekly for more detail. Parameters Required :symbol The digital/crypto currency of your choice. It can be any of the currencies in the digital currency list . For example: &quot;BTC&quot; :market The exchange market of your choice. It can be any of the market in the market list . For example: &quot;CNY&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#weekly/3","title":"AlphaVantage.Cryptocurrencies.weekly/3","type":"function"},{"doc":"A set of functions for key US economic indicators from Alpha Vantage .","ref":"AlphaVantage.EconomicIndicators.html","title":"AlphaVantage.EconomicIndicators","type":"module"},{"doc":"Returns the monthly consumer sentiment and confidence data of the United States, as measured by the Surveys of Consumers by University of Michigan (Consumer Sentiment © [UMCSENT]), retrieved from FRED, Federal Reserve Bank of St. Louis. Please reference https://www.alphavantage.co/documentation/#consumer-sentiment for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#consumer_sentiment/1","title":"AlphaVantage.EconomicIndicators.consumer_sentiment/1","type":"function"},{"doc":"Returns the monthly and semiannual consumer price index (CPI) of the United States. Please reference https://www.alphavantage.co/documentation/#cpi for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :interval &quot;monthly&quot; (default) &quot;semiannual&quot;","ref":"AlphaVantage.EconomicIndicators.html#cpi/1","title":"AlphaVantage.EconomicIndicators.cpi/1","type":"function"},{"doc":"Returns the monthly manufacturers' new orders of durable goods in the United States. Please reference https://www.alphavantage.co/documentation/#durable-goods for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#durable_goods/1","title":"AlphaVantage.EconomicIndicators.durable_goods/1","type":"function"},{"doc":"Returns the annual inflation rates (consumer prices) of the United States. Please reference https://www.alphavantage.co/documentation/#inflation for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#inflation/1","title":"AlphaVantage.EconomicIndicators.inflation/1","type":"function"},{"doc":"Returns the monthly inflation expectation data of the United States, as measured by the median expected price change next 12 months according to the Surveys of Consumers by University of Michigan (Inflation Expectation© [MICH]), retrieved from FRED, Federal Reserve Bank of St. Louis. Please reference https://www.alphavantage.co/documentation/#inflation-expectation for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#inflation_expectation/1","title":"AlphaVantage.EconomicIndicators.inflation_expectation/1","type":"function"},{"doc":"Returns the daily, weekly, and monthly federal funds rate (interest rate) of the United States. Please reference https://www.alphavantage.co/documentation/#interest-rate for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :interval &quot;daily&quot; &quot;weekly&quot; &quot;monthly&quot; (default)","ref":"AlphaVantage.EconomicIndicators.html#interest_rate/1","title":"AlphaVantage.EconomicIndicators.interest_rate/1","type":"function"},{"doc":"Returns the monthly US All Employees: Total Nonfarm (commonly known as Total Nonfarm Payroll), a measure of the number of U.S. workers in the economy that excludes proprietors, private household employees, unpaid volunteers, farm employees, and the unincorporated self-employed. Please reference https://www.alphavantage.co/documentation/#nonfarm-payroll for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#nonfarm_payroll/1","title":"AlphaVantage.EconomicIndicators.nonfarm_payroll/1","type":"function"},{"doc":"Returns the annual and quarterly Real GDP of the United States. Please reference https://www.alphavantage.co/documentation/#real-gdp for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :interval &quot;quarterly&quot; &quot;annual&quot; (default)","ref":"AlphaVantage.EconomicIndicators.html#real_gdp/1","title":"AlphaVantage.EconomicIndicators.real_gdp/1","type":"function"},{"doc":"Returns the quarterly Real GDP per Capita data of the United States. Please reference https://www.alphavantage.co/documentation/#real-gdp-per-capita for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#real_gdp_per_capita/1","title":"AlphaVantage.EconomicIndicators.real_gdp_per_capita/1","type":"function"},{"doc":"Returns the monthly Advance Retail Sales: Retail Trade data of the United States. Please reference https://www.alphavantage.co/documentation/#retail-sales for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#retail_sales/1","title":"AlphaVantage.EconomicIndicators.retail_sales/1","type":"function"},{"doc":"Returns the daily, weekly, and monthly US treasury yield of a given maturity timeline (e.g., 5 year, 30 year, etc). Please reference https://www.alphavantage.co/documentation/#treasury-yield for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :interval &quot;quarterly&quot; &quot;annual&quot; (default) :maturity &quot;3month&quot; &quot;5year&quot; &quot;10year&quot; (default) &quot;30year&quot;","ref":"AlphaVantage.EconomicIndicators.html#treasury_yield/1","title":"AlphaVantage.EconomicIndicators.treasury_yield/1","type":"function"},{"doc":"Returns the monthly unemployment data of the United States. The unemployment rate represents the number of unemployed as a percentage of the labor force. Labor force data are restricted to people 16 years of age and older, who currently reside in 1 of the 50 states or the District of Columbia, who do not reside in institutions (e.g., penal and mental facilities, homes for the aged), and who are not on active duty in the Armed Forces. Please reference https://www.alphavantage.co/documentation/#unemployment for more detail. Parameters Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#unemployment_rate/1","title":"AlphaVantage.EconomicIndicators.unemployment_rate/1","type":"function"},{"doc":"A set of functions for fetching forex (FX) rates from Alpha Vantage .","ref":"AlphaVantage.Forex.html","title":"AlphaVantage.Forex","type":"module"},{"doc":"Returns the daily time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime. Please reference https://www.alphavantage.co/documentation/#fx-daily for more detail. Parameters Required :from_currency The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_currency The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Forex.html#daily/3","title":"AlphaVantage.Forex.daily/3","type":"function"},{"doc":"Returns the realtime exchange rate for any pair of digital currency (e.g., Bitcoin) and physical currency (e.g., USD). Data returned for physical currency (Forex) pairs also include realtime bid and ask prices. Please reference https://www.alphavantage.co/documentation/#currency-exchange for more detail. Parameters Required :from_currency The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_currency The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; Optional (accepted as a keyword list) :datatype By default, datatype: &quot;map&quot; . Strings &quot;map&quot; and &quot;json&quot; are accepted with the following specifications: &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; *Please note that &quot;csv&quot; and is not yet supported by Alpha Vantage for this function.","ref":"AlphaVantage.Forex.html#exchange_rate/3","title":"AlphaVantage.Forex.exchange_rate/3","type":"function"},{"doc":"Returns the intraday time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime. Please reference https://www.alphavantage.co/documentation/#fx-intraday for more detail. Parameters Required :from_symbol The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_symbol The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Forex.html#intraday/4","title":"AlphaVantage.Forex.intraday/4","type":"function"},{"doc":"Returns the monthly time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime. The latest data point is the prices information for the month (or partial month) containing the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#fx-monthly for more detail. Parameters Required :from_currency The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_currency The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Forex.html#monthly/3","title":"AlphaVantage.Forex.monthly/3","type":"function"},{"doc":"Returns the weekly time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime. The latest data point is the prices information for the week (or partial week) containing the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#fx-weekly for more detail. Parameters Required :from_currency The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; :to_currency The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency. For example: &quot;USD&quot; , &quot;EUR&quot; , or &quot;BTC&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Forex.html#weekly/3","title":"AlphaVantage.Forex.weekly/3","type":"function"},{"doc":"A set of functions for fetching various temporal dimensions covering key financial metrics, income statements, balance sheets, cash flow, and other fundamental data points from Alpha Vantage .","ref":"AlphaVantage.FundamentalData.html","title":"AlphaVantage.FundamentalData","type":"module"},{"doc":"Returns the annual and quarterly balance sheets for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC. Data is generally refreshed on the same day a company reports its latest earnings and financials. Please reference https://www.alphavantage.co/documentation/#balance-sheet for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#balance_sheet/2","title":"AlphaVantage.FundamentalData.balance_sheet/2","type":"function"},{"doc":"Returns This API returns the annual and quarterly cash flow for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC. Data is generally refreshed on the same day a company reports its latest earnings and financials. Please reference https://www.alphavantage.co/documentation/#cash-flow for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#cash_flow/2","title":"AlphaVantage.FundamentalData.cash_flow/2","type":"function"},{"doc":"Returns the company information, financial ratios, and other key metrics for the equity specified. Data is generally refreshed on the same day a company reports its latest earnings and financials. Please reference https://www.alphavantage.co/documentation/#company-overview for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#company_overview/2","title":"AlphaVantage.FundamentalData.company_overview/2","type":"function"},{"doc":"Returns the annual and quarterly earnings (EPS) for the company of interest. Quarterly data also includes analyst estimates and surprise metrics. Please reference https://www.alphavantage.co/documentation/#earnings for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#earnings/2","title":"AlphaVantage.FundamentalData.earnings/2","type":"function"},{"doc":"Returns a list of company earnings expected in the next 3, 6, or 12 months. Please reference https://www.alphavantage.co/documentation/#earnings-calendar for more detail. Note: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON. Parameters Optional (accepted as a keyword list) :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :horizon By default, horizon: &quot;3month&quot; and the API will return a list of expected company earnings in the next 3 months. You may set horizon: &quot;6month&quot; or horizon: &quot;12month&quot; to query the earnings scheduled for the next 6 months or 12 months, respectively.","ref":"AlphaVantage.FundamentalData.html#earnings_calendar/1","title":"AlphaVantage.FundamentalData.earnings_calendar/1","type":"function"},{"doc":"Returns the annual and quarterly income statements for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC. Data is generally refreshed on the same day a company reports its latest earnings and financials. Please reference https://www.alphavantage.co/documentation/#income-statement for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#income_statement/2","title":"AlphaVantage.FundamentalData.income_statement/2","type":"function"},{"doc":"Returns a list of IPOs expected in the next 3 months. Please reference https://www.alphavantage.co/documentation/#ipo-calendar for more detail. Note: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON.","ref":"AlphaVantage.FundamentalData.html#ipo_calendar/1","title":"AlphaVantage.FundamentalData.ipo_calendar/1","type":"function"},{"doc":"Returns a list of active or delisted US stocks and ETFs, either as of the latest trading day or at a specific time in history. The endpoint is positioned to facilitate equity research on asset lifecycle and survivorship. Please reference https://www.alphavantage.co/documentation/#listing-status for more detail. Note: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :date If no date is set, the API endpoint will return a list of active or delisted symbols as of the latest trading day. If a date is set, the API endpoint will &quot;travel back&quot; in time and return a list of active or delisted symbols on that particular date in history. Any YYYY-MM-DD date later than 2010-01-01 is supported. For example, date: &quot;2013-08-03&quot; . :state By default, state: &quot;active&quot; and the API will return a list of actively traded stocks and ETFs. Set state: &quot;delisted&quot; to query a list of delisted assets.","ref":"AlphaVantage.FundamentalData.html#listing_status/2","title":"AlphaVantage.FundamentalData.listing_status/2","type":"function"},{"doc":"A set of functions for fetching realtime and historical global equity data from Alpha Vantage in 4 different temporal resolutions: (1) daily, (2) weekly, (3) monthly, and (4) intraday. Daily, weekly, and monthly time series contain 20+ years of historical data.","ref":"AlphaVantage.StockTimeSeries.html","title":"AlphaVantage.StockTimeSeries","type":"module"},{"doc":"Returns daily time series (date, daily open, daily high, daily low, daily close, daily volume) of the global equity specified, covering 20+ years of historical data. The most recent data point is the prices and volume information of the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#daily for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#daily/2","title":"AlphaVantage.StockTimeSeries.daily/2","type":"function"},{"doc":"Returns daily time series (date, daily open, daily high, daily low, daily close, daily volume, daily adjusted close, and split/dividend events) of the global equity specified, covering 20+ years of historical data. The most recent data point is the prices and volume information of the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#dailyadj for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#daily_adjusted/2","title":"AlphaVantage.StockTimeSeries.daily_adjusted/2","type":"function"},{"doc":"Returns intraday time series (timestamp, open, high, low, close, volume) of the equity specified. Please reference https://www.alphavantage.co/documentation/#intraday for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#intraday/3","title":"AlphaVantage.StockTimeSeries.intraday/3","type":"function"},{"doc":"Returns historical intraday time series for the trailing 2 years, covering over 2 million data points per ticker. The intraday data is derived from the Securities Information Processor (SIP) market-aggregated data. You can query both raw (as-traded) and split/dividend-adjusted intraday data from this endpoint. Common use cases for this API include data visualization, trading simulation/backtesting, and machine learning and deep learning applications with a longer horizon. Please reference https://www.alphavantage.co/documentation/#intraday-extended for more detail. Note: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :slice Two years of minute-level intraday data contains over 2 million data points, which can take up to Gigabytes of memory. To ensure optimal API response speed, the trailing 2 years of intraday data is evenly divided into 24 &quot;slices&quot; - &quot;year1month1&quot; , &quot;year1month2&quot; , &quot;year1month3&quot; , ..., &quot;year1month11&quot; , &quot;year1month12&quot; , &quot;year2month1&quot; , &quot;year2month2&quot; , &quot;year2month3&quot; , ..., &quot;year2month11&quot; , &quot;year2month12&quot; . Each slice is a 30-day window, with &quot;year1month1&quot; being the most recent and &quot;year2month12&quot; being the farthest from today. By default, slice: &quot;year1month1&quot; . Optional (accepted as a keyword list) :adjusted By default, adjusted: true and the output time series is adjusted by historical split and dividend events. Set adjusted: false to query raw (as-traded) intraday values.","ref":"AlphaVantage.StockTimeSeries.html#intraday_extended_history/4","title":"AlphaVantage.StockTimeSeries.intraday_extended_history/4","type":"function"},{"doc":"Returns monthly time series (last trading day of each month, monthly open, monthly high, monthly low, monthly close, monthly volume) of the global equity specified, covering 20+ years of historical data. The latest data point is the prices and volume information for the month (or partial month) that contains the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#monthly for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#monthly/2","title":"AlphaVantage.StockTimeSeries.monthly/2","type":"function"},{"doc":"Returns monthly adjusted time series (last trading day of each month, monthly open, monthly high, monthly low, monthly close, monthly adjusted close, monthly volume, monthly dividend) of the equity specified, covering 20+ years of historical data. The latest data point is the prices and volume information for the month (or partial month) that contains the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#monthlyadj for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#monthly_adjusted/2","title":"AlphaVantage.StockTimeSeries.monthly_adjusted/2","type":"function"},{"doc":"Returns the latest price and volume information for a security of your choice. Please reference https://www.alphavantage.co/documentation/#latestprice for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#quote/2","title":"AlphaVantage.StockTimeSeries.quote/2","type":"function"},{"doc":"Returns the best-matching symbols and market information based on keywords of your choice. The search results also contain match scores that provide you with the full flexibility to develop your own search and filtering logic. Please reference https://www.alphavantage.co/documentation/#symbolsearch for more detail. Parameters Required :keywords A text string of your choice. For example: keywords= &quot;microsoft&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#search/2","title":"AlphaVantage.StockTimeSeries.search/2","type":"function"},{"doc":"Returns weekly time series (last trading day of each week, weekly open, weekly high, weekly low, weekly close, weekly volume) of the global equity specified, covering 20+ years of historical data. The latest data point is the prices and volume information for the week (or partial week) that contains the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#weekly for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string. :outputsize &quot;compact&quot; returns only the latest 100 data points in the intraday time series (default); &quot;full&quot; returns the full-length intraday time series. The &quot;compact&quot; option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#weekly/2","title":"AlphaVantage.StockTimeSeries.weekly/2","type":"function"},{"doc":"Returns weekly adjusted time series (last trading day of each week, weekly open, weekly high, weekly low, weekly close, weekly adjusted close, weekly volume, weekly dividend) of the global equity specified, covering 20+ years of historical data. The latest data point is the prices and volume information for the week (or partial week) that contains the current trading day, updated realtime. Please reference https://www.alphavantage.co/documentation/#weeklyadj for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#weekly_adjusted/2","title":"AlphaVantage.StockTimeSeries.weekly_adjusted/2","type":"function"},{"doc":"A set of functions for fetching technical indicators from Alpha Vantage .","ref":"AlphaVantage.TechnicalIndicators.html","title":"AlphaVantage.TechnicalIndicators","type":"module"},{"doc":"Returns the Chaikin A/D line (AD) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#ad for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ad/3","title":"AlphaVantage.TechnicalIndicators.ad/3","type":"function"},{"doc":"Returns the Chaikin A/D line oscillator (ADOSC) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#adosc for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :fastperiod The time period of the fast EMA. Positive integers are accepted. By default, fastperiod: 3 . :slowperiod The time period of the slow EMA. Positive integers are accepted. By default, slowperiod: 10 . :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adosc/3","title":"AlphaVantage.TechnicalIndicators.adosc/3","type":"function"},{"doc":"Returns the average directional movement index (ADX) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#adx for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adx/4","title":"AlphaVantage.TechnicalIndicators.adx/4","type":"function"},{"doc":"Returns the average directional movement index rating (ADXR) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#adxr for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adxr/4","title":"AlphaVantage.TechnicalIndicators.adxr/4","type":"function"},{"doc":"Returns the absolute price oscillator (APO) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#apo for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :fastperiod Positive integers are accepted. By default, fastperiod: 12 . :slowperiod Positive integers are accepted. By default, slowperiod: 26 . :matype Moving average type. By default, matype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#apo/4","title":"AlphaVantage.TechnicalIndicators.apo/4","type":"function"},{"doc":"Returns the Aroon (AROON) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#aroon for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#aroon/4","title":"AlphaVantage.TechnicalIndicators.aroon/4","type":"function"},{"doc":"Returns the Aroon oscillator (AROONOSC) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#aroonosc for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#aroonosc/4","title":"AlphaVantage.TechnicalIndicators.aroonosc/4","type":"function"},{"doc":"Returns the average true range (ATR) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#atr for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#atr/4","title":"AlphaVantage.TechnicalIndicators.atr/4","type":"function"},{"doc":"Returns the Bollinger bands (BBANDS) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#bbands for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :nbdevup The standard deviation multiplier of the upper band. Positive integers are accepted. By default, nbdevup: 2 . :nbdevdn The standard deviation multiplier of the lower band. Positive integers are accepted. By default, nbdevdn: 2 . :matype Moving average type of the time series. By default, matype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#bbands/5","title":"AlphaVantage.TechnicalIndicators.bbands/5","type":"function"},{"doc":"Returns the balance of power (BOP) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#bop for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#bop/3","title":"AlphaVantage.TechnicalIndicators.bop/3","type":"function"},{"doc":"Returns the commodity channel index (CCI) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#cci for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#cci/4","title":"AlphaVantage.TechnicalIndicators.cci/4","type":"function"},{"doc":"Returns the Chande momentum oscillator (CMO) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#cmo for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#cmo/5","title":"AlphaVantage.TechnicalIndicators.cmo/5","type":"function"},{"doc":"Returns the double exponential moving average (DEMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#dema for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#dema/5","title":"AlphaVantage.TechnicalIndicators.dema/5","type":"function"},{"doc":"Returns the directional movement index (DX) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#ex for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#dx/4","title":"AlphaVantage.TechnicalIndicators.dx/4","type":"function"},{"doc":"Returns the exponential moving average (EMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#ema for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ema/5","title":"AlphaVantage.TechnicalIndicators.ema/5","type":"function"},{"doc":"Returns the Hilbert transform, dominant cycle period (HT_DCPERIOD) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#htdcperiod more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcperiod/4","title":"AlphaVantage.TechnicalIndicators.ht_dcperiod/4","type":"function"},{"doc":"Returns the Hilbert transform, dominant cycle phase (HT_DCPHASE) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#htdcphase more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcphase/4","title":"AlphaVantage.TechnicalIndicators.ht_dcphase/4","type":"function"},{"doc":"Returns the Hilbert transform, phasor components (HT_PHASOR) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#htphasor more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_phasor/4","title":"AlphaVantage.TechnicalIndicators.ht_phasor/4","type":"function"},{"doc":"Returns the Hilbert transform, sine wave (HT_SINE) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#htsine for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_sine/4","title":"AlphaVantage.TechnicalIndicators.ht_sine/4","type":"function"},{"doc":"Returns the Hilbert transform, instantaneous trendline (HT_TRENDLINE) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#httrendline for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendline/4","title":"AlphaVantage.TechnicalIndicators.ht_trendline/4","type":"function"},{"doc":"Returns the Hilbert transform, trend vs cycle mode (HT_TRENDMODE) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#httrendmode for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendmode/4","title":"AlphaVantage.TechnicalIndicators.ht_trendmode/4","type":"function"},{"doc":"Returns the Kaufman adaptive moving average (KAMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#kama for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#kama/5","title":"AlphaVantage.TechnicalIndicators.kama/5","type":"function"},{"doc":"Returns the moving average convergence / divergence (MACD) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#macd for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :fastperiod Positive integers are accepted. By default, fastperiod: 12 . :slowperiod Positive integers are accepted. By default, slowperiod: 26 . :signalperiod Positive integers are accepted. By default, signalperiod: 9 . :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#macd/5","title":"AlphaVantage.TechnicalIndicators.macd/5","type":"function"},{"doc":"Returns the moving average convergence / divergence values with controllable moving average type (MACDEXT) for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#macdext for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :fastperiod Positive integers are accepted. By default, fastperiod: 12 . :slowperiod Positive integers are accepted. By default, slowperiod: 26 . :signalperiod Positive integers are accepted. By default, signalperiod: 9 . :fastmatype Moving average type for the faster moving average. By default, fastmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :slowmatype Moving average type for the slower moving average. By default, slowmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :signalmatype Moving average type for the signal moving average. By default, signalmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#macdext/5","title":"AlphaVantage.TechnicalIndicators.macdext/5","type":"function"},{"doc":"Returns the MESA adaptive moving average (MAMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#mama for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mama/5","title":"AlphaVantage.TechnicalIndicators.mama/5","type":"function"},{"doc":"Returns the money flow index (MFI) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#mfi for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mfi/4","title":"AlphaVantage.TechnicalIndicators.mfi/4","type":"function"},{"doc":"Returns the midpoint (MIDPOINT) values for a given symbol, interval, time period, and series type. MIDPOINT = (highest value + lowest value)/2. Please reference https://www.alphavantage.co/documentation/#midpoint for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#midpoint/5","title":"AlphaVantage.TechnicalIndicators.midpoint/5","type":"function"},{"doc":"Returns the midprice (MIDPRICE) values for a given symbol, interval, and time period. MIDPRICE = (highest value + lowest value)/2. Please reference https://www.alphavantage.co/documentation/#midpoint for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#midprice/4","title":"AlphaVantage.TechnicalIndicators.midprice/4","type":"function"},{"doc":"Returns the minus directional indicator (MINUS_DI) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#minusdi for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#minus_di/4","title":"AlphaVantage.TechnicalIndicators.minus_di/4","type":"function"},{"doc":"Returns the minus directional movement (MINUS_DM) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#minusdm for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#minus_dm/4","title":"AlphaVantage.TechnicalIndicators.minus_dm/4","type":"function"},{"doc":"Returns the momentum (MOM) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#mom for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mom/5","title":"AlphaVantage.TechnicalIndicators.mom/5","type":"function"},{"doc":"Returns the normalized average true range (NATR) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#natr for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#natr/4","title":"AlphaVantage.TechnicalIndicators.natr/4","type":"function"},{"doc":"Returns the on balance volume (OBV) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#obv for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#obv/3","title":"AlphaVantage.TechnicalIndicators.obv/3","type":"function"},{"doc":"Returns the plus directional indicator (PLUS_DI) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#plusdi for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#plus_di/4","title":"AlphaVantage.TechnicalIndicators.plus_di/4","type":"function"},{"doc":"Returns the plus directional movement (PLUS_DM) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#plusdm for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#plus_dm/4","title":"AlphaVantage.TechnicalIndicators.plus_dm/4","type":"function"},{"doc":"Returns the percentage price oscillator (PPO) values for a given symbol, interval, and series type. Please reference https://www.alphavantage.co/documentation/#ppo for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :fastperiod Positive integers are accepted. By default, fastperiod: 12 . :slowperiod Positive integers are accepted. By default, slowperiod: 26 . :matype Moving average type. By default, matype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ppo/4","title":"AlphaVantage.TechnicalIndicators.ppo/4","type":"function"},{"doc":"Returns the rate of change (ROC) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#roc for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#roc/5","title":"AlphaVantage.TechnicalIndicators.roc/5","type":"function"},{"doc":"Returns the rate of change ratio (ROCR) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#rocr for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#rocr/5","title":"AlphaVantage.TechnicalIndicators.rocr/5","type":"function"},{"doc":"Returns the relative strength index (RSI) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#rsi for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#rsi/5","title":"AlphaVantage.TechnicalIndicators.rsi/5","type":"function"},{"doc":"Returns the parabolic SAR (SAR) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#sar for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :acceleration The acceleration factor. Positive floats are accepted. By default, acceleration: 0.01 . :maximum The acceleration factor maximum value. Positive floats are accepted. By default, maximum: 0.20 . :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#sar/3","title":"AlphaVantage.TechnicalIndicators.sar/3","type":"function"},{"doc":"Returns the simple moving average (SMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#sma for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#sma/5","title":"AlphaVantage.TechnicalIndicators.sma/5","type":"function"},{"doc":"Returns the stochastic oscillator (STOCH) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#stoch for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :fastkperiod The time period of the fastk moving average. Positive integers are accepted. By default, fastkperiod: 5 . :slowkperiod The time period of the slowk moving average. Positive integers are accepted. By default, slowkperiod: 3 . :slowdperiod The time period of the slowd moving average. Positive integers are accepted. By default, slowdperiod: 3 . :slowkmatype Moving average type for the slowk moving average. By default, slowkmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :slowdmatype Moving average type for the slowd moving average. By default, slowdmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stoch/3","title":"AlphaVantage.TechnicalIndicators.stoch/3","type":"function"},{"doc":"Returns the stochastic fast (STOCHF) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#stochf for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :fastkperiod The time period of the fastk moving average. Positive integers are accepted. By default, fastkperiod: 5 . :fastdperiod The time period of the fastd moving average. Positive integers are accepted. By default, fastdperiod: 3 . :fastdmatype Moving average type for the fastd moving average. By default, fastdmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stochf/3","title":"AlphaVantage.TechnicalIndicators.stochf/3","type":"function"},{"doc":"Returns the stochastic relative strength index (STOCHRSI) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#stochrsi for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :fastkperiod The time period of the fastk moving average. Positive integers are accepted. By default, fastkperiod: 5 . :fastdperiod The time period of the fastd moving average. Positive integers are accepted. By default, fastdperiod: 3 . :fastdmatype Moving average type for the fastd moving average. By default, fastdmatype: 0 . Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA). :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stochrsi/5","title":"AlphaVantage.TechnicalIndicators.stochrsi/5","type":"function"},{"doc":"Returns the triple exponential moving average (T3) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#t3 for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#t3/5","title":"AlphaVantage.TechnicalIndicators.t3/5","type":"function"},{"doc":"Returns the triple exponential moving average (TEMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#tema for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#tema/5","title":"AlphaVantage.TechnicalIndicators.tema/5","type":"function"},{"doc":"Returns the true range (TRANGE) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#trange for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trange/3","title":"AlphaVantage.TechnicalIndicators.trange/3","type":"function"},{"doc":"Returns the triangular moving average (TRIMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#trima for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trima/5","title":"AlphaVantage.TechnicalIndicators.trima/5","type":"function"},{"doc":"Returns the 1-day rate of change of a triple smooth exponential moving average (TRIX) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#trix for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trix/5","title":"AlphaVantage.TechnicalIndicators.trix/5","type":"function"},{"doc":"Returns the ultimate oscillator (ULTOSC) values for a given symbol and interval. Please reference https://www.alphavantage.co/documentation/#ultosc for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :timeperiod1 The first time period for the indicator. Positive integers are accepted. By default, timeperiod1: 7 . :timeperiod2 The second time period for the indicator. Positive integers are accepted. By default, timeperiod1: 14 . :timeperiod3 The third time period for the indicator. Positive integers are accepted. By default, timeperiod1: 28 . :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ultosc/3","title":"AlphaVantage.TechnicalIndicators.ultosc/3","type":"function"},{"doc":"Returns the volume weighted average price (VWAP) for intraday time series given a symbol and interval. Please reference https://www.alphavantage.co/documentation/#vwap for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#vwap/3","title":"AlphaVantage.TechnicalIndicators.vwap/3","type":"function"},{"doc":"Returns the Williams' %R (WILLR) values for a given symbol, interval, and time period. Please reference https://www.alphavantage.co/documentation/#willr for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#willr/4","title":"AlphaVantage.TechnicalIndicators.willr/4","type":"function"},{"doc":"Returns the weighted moving average (WMA) values for a given symbol, interval, time period, and series type. Please reference https://www.alphavantage.co/documentation/#wma for more detail. Parameters Required :symbol The name of the security of your choice, provided as a string. For example: &quot;MSFT&quot; :interval Time interval between two consecutive data points in the time series. The following values are supported and accepted as strings: &quot;1min&quot; , &quot;5min&quot; , &quot;15min&quot; , &quot;30min&quot; , &quot;60min&quot; , &quot;daily&quot; , &quot;weekly&quot; , &quot;monthly&quot; :time_period Number of data points used to calculate each moving average value. Positive integers are accepted: (e.g., 60 , 200 ) :series_type The desired price type in the time series. Four types are supported and accepted as strings: &quot;close&quot; , &quot;open&quot; , &quot;high&quot; , &quot;low&quot; Optional (accepted as a keyword list) :datatype &quot;map&quot; returns a map (default); &quot;json&quot; returns JSON format; &quot;csv&quot; returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#wma/5","title":"AlphaVantage.TechnicalIndicators.wma/5","type":"function"},{"doc":"Alpha Vantage A lightweight Elixir wrapper for the Alpha Vantage API .","ref":"readme.html","title":"Alpha Vantage","type":"extras"},{"doc":"Add :alpha_vantage to your depency list in the mix.exs file. def deps do [ { :alpha_vantage , &quot;~&gt; 0.2&quot; } ] end You can now run mix deps.get .","ref":"readme.html#installation","title":"Alpha Vantage - Installation","type":"extras"},{"doc":"Within config.exs or within the environment specific config files (e.g. dev.exs ) add your Alpha Vantage API key and set your response timeout threshold. config :alpha_vantage , api_key : &quot;YOUR_API_KEY&quot; , recv_timeout : 5_000 Note that certain requests to the Alpha Vantage API regularly take longer than HTTPoison's default timeout of 5000ms, hence the configurability for a higher tolerance.","ref":"readme.html#configuration","title":"Alpha Vantage - Configuration","type":"extras"},{"doc":"The modules and their respective functions and naming conventions within this library are meant to mirror the Alpha Vantage API documentation as closely as possible for easy cross-referencing and implementation. The only notable divergence from this approach is the AlphaVantage.query/1 function described immediately below. Query The intent of query/1 is to provide a method for end-users to more flexibly compose their queries to the Alpha Vantage API, similarly to building the URL by hand. The primary benefit of this is the ability to quickly implement new functions from Alpha Vantage that might not yet be implemented in this library. Parameters, both required and optional, may be passed as keyword lists. iex&gt; AlphaVantage . query ( function : &quot;GLOBAL_QUOTE&quot; , symbol : &quot;DJIA&quot; , datatype : &quot;csv&quot; ) { :ok , &quot;symbol,open,high,low,price,volume,latestDay,previousClose,change,changePercent \\r \\n DJIA,28553.3301,28716.3105,28500.3594,28634.8809,239590000,2020-01-03,28868.8008,-233.9199,-0.8103% \\r \\n &quot; } Note: this method will inform you if invalid functions or parameters are passed. iex&gt; AlphaVantage . query ( function : &quot;QUOTE&quot; , symbol : &quot;DJIA&quot; ) { :error , &quot;This API function (QUOTE) does not exist.&quot; } iex&gt; AlphaVantage . query ( function : &quot;GLOBAL_QUOTE&quot; , s : &quot;DJIA&quot; ) { :error , &quot;Invalid API call. Please retry or visit the documentation (https://www.alphavantage.co/documentation/) for GLOBAL_QUOTE.&quot; } Parameters may also be passed as a map. iex&gt; AlphaVantage . query ( %{ function : &quot;EMA&quot; , symbol : &quot;SPY&quot; , interval : &quot;30min&quot; , time_period : 2 , series_type : &quot;close&quot; } ) { :ok , %{ &quot;Meta Data&quot; =&gt; %{ &quot;1: Symbol&quot; =&gt; &quot;SPY&quot; , &quot;2: Indicator&quot; =&gt; &quot;Exponential Moving Average (EMA)&quot; , &quot;3: Last Refreshed&quot; =&gt; &quot;2020-01-03 16:00:00&quot; , &quot;4: Interval&quot; =&gt; &quot;30min&quot; , &quot;5: Time Period&quot; =&gt; 2 , &quot;6: Series Type&quot; =&gt; &quot;close&quot; , &quot;7: Time Zone&quot; =&gt; &quot;US/Eastern&quot; } , &quot;Technical Analysis: EMA&quot; =&gt; %{ &quot;2019-12-10 10:00&quot; =&gt; %{ &quot;EMA&quot; =&gt; &quot;313.6772&quot; } , &quot;2019-12-09 12:00&quot; =&gt; %{ &quot;EMA&quot; =&gt; &quot;314.6798&quot; } , &quot;2019-12-16 15:30&quot; =&gt; %{ &quot;EMA&quot; =&gt; &quot;319.7121&quot; } , &quot;2019-12-19 11:30&quot; =&gt; %{ &quot;EMA&quot; =&gt; &quot;320.3790&quot; } , &quot;2019-12-20 10:00&quot; =&gt; %{ &quot;EMA&quot; =&gt; &quot;320.6725&quot; } , &quot;2019-12-20 13:00&quot; =&gt; %{ ... } , ... } } } Stock Time Series Example iex&gt; AlphaVantage.StockTimeSeries . monthly ( &quot;DJIA&quot; , datatype : &quot;json&quot; ) { :ok , &quot;{ \\n \\&quot; Meta Data \\&quot; : { \\n \\&quot; 1. Information \\&quot; : \\&quot; Monthly Prices (open, high, low, close) and Volumes \\&quot; , \\n \\&quot; 2. Symbol \\&quot; : \\&quot; DJIA \\&quot; , \\n \\&quot; 3. Last Refreshed \\&quot; : \\&quot; 2020-01-03 \\&quot; , \\n \\&quot; 4. Time Zone \\&quot; : \\&quot; US/Eastern \\&quot; \\n }, \\n \\&quot; Monthly Time Series \\&quot; : { \\n \\&quot; 2020-01-03 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 28638.9707 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 28872.8008 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 10000.0000 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 28634.8809 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 491410000 \\&quot; \\n }, \\n \\&quot; 2019-12-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 28109.7402 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 28701.6602 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 27325.1309 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 28538.4395 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5086880000 \\&quot; \\n }, \\n \\&quot; 2019-11-29 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 27142.9492 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 28174.9707 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 27142.9492 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 28051.4102 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 4925180000 \\&quot; \\n }, \\n \\&quot; 2019-10-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26962.5391 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 27204.3594 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 25743.4609 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 27046.2305 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5658040000 \\&quot; \\n }, \\n \\&quot; 2019-09-30 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26198.2598 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 27306.7305 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 25978.2207 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26916.8301 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5045520000 \\&quot; \\n }, \\n \\&quot; 2019-08-30 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26879.8594 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 27175.5898 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 25339.5996 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26403.2793 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 8170730000 \\&quot; \\n }, \\n \\&quot; 2019-07-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26805.8594 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 27398.6797 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 26616.2109 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26864.2695 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5199240000 \\&quot; \\n }, \\n \\&quot; 2019-06-28 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 24830.1602 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26907.3691 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 24680.5703 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26599.9609 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5544390000 \\&quot; \\n }, \\n \\&quot; 2019-05-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26639.0605 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26689.3906 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 24809.5098 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 24815.0391 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 6358230000 \\&quot; \\n }, \\n \\&quot; 2019-04-30 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26075.0996 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26695.9609 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 26062.5898 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26592.9102 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5854600000 \\&quot; \\n }, \\n \\&quot; 2019-03-29 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26019.6699 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26155.9805 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 25208.0000 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 25928.6797 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 6734060000 \\&quot; \\n }, \\n \\&quot; 2019-02-28 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 25025.3105 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26241.4199 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 24883.0391 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 25916.0000 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5434540000 \\&quot; \\n }, \\n \\&quot; 2019-01-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 23058.6094 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 25109.6191 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 22638.4102 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 24999.6699 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 7189200000 \\&quot; \\n }, \\n \\&quot; 2018-12-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 25779.5703 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 25980.2109 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 21712.5293 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 23327.4609 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 8101540000 \\&quot; \\n }, \\n \\&quot; 2018-11-30 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 25142.0801 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26277.8203 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 24268.7402 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 25538.4609 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 7226940000 \\&quot; \\n }, \\n \\&quot; 2018-10-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 26598.3594 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26951.8105 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 24122.2305 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 25115.7598 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 8373350000 \\&quot; \\n }, \\n \\&quot; 2018-09-28 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 25916.0703 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26769.1602 \\&quot; , \\n \\&quot; 3. low \\&quot; : \\&quot; 25754.3203 \\&quot; , \\n \\&quot; 4. close \\&quot; : \\&quot; 26458.3105 \\&quot; , \\n \\&quot; 5. volume \\&quot; : \\&quot; 5262500000 \\&quot; \\n }, \\n \\&quot; 2018-08-31 \\&quot; : { \\n \\&quot; 1. open \\&quot; : \\&quot; 25461.6309 \\&quot; , \\n \\&quot; 2. high \\&quot; : \\&quot; 26167.93&quot; &lt;&gt; ... } Forex (FX) Example iex&gt; AlphaVantage.Forex . exchange_rate ( &quot;USD&quot; , &quot;CAD&quot; ) { :ok , %{ &quot;Realtime Currency Exchange Rate&quot; =&gt; %{ &quot;1. From_Currency Code&quot; =&gt; &quot;USD&quot; , &quot;2. From_Currency Name&quot; =&gt; &quot;United States Dollar&quot; , &quot;3. To_Currency Code&quot; =&gt; &quot;CAD&quot; , &quot;4. To_Currency Name&quot; =&gt; &quot;Canadian Dollar&quot; , &quot;5. Exchange Rate&quot; =&gt; &quot;1.30000000&quot; , &quot;6. Last Refreshed&quot; =&gt; &quot;2020-01-05 20:21:01&quot; , &quot;7. Time Zone&quot; =&gt; &quot;UTC&quot; , &quot;8. Bid Price&quot; =&gt; &quot;1.29990000&quot; , &quot;9. Ask Price&quot; =&gt; &quot;1.30010000&quot; } } } Cryptocurrencies Example iex&gt; AlphaVantage.Cryptocurrencies . monthly ( &quot;BTC&quot; , &quot;CNY&quot; ) { :ok , %{ &quot;Meta Data&quot; =&gt; %{ &quot;1. Information&quot; =&gt; &quot;Monthly Prices and Volumes for Digital Currency&quot; , &quot;2. Digital Currency Code&quot; =&gt; &quot;BTC&quot; , &quot;3. Digital Currency Name&quot; =&gt; &quot;Bitcoin&quot; , &quot;4. Market Code&quot; =&gt; &quot;CNY&quot; , &quot;5. Market Name&quot; =&gt; &quot;Chinese Yuan&quot; , &quot;6. Last Refreshed&quot; =&gt; &quot;2020-01-05 00:00:00&quot; , &quot;7. Time Zone&quot; =&gt; &quot;UTC&quot; } , &quot;Time Series (Digital Currency Monthly)&quot; =&gt; %{ &quot;2017-09-30&quot; =&gt; %{ &quot;1a. open (CNY)&quot; =&gt; &quot;32667.42879500&quot; , &quot;1b. open (USD)&quot; =&gt; &quot;4689.89000000&quot; , &quot;2a. high (CNY)&quot; =&gt; &quot;34403.92794500&quot; , &quot;2b. high (USD)&quot; =&gt; &quot;4939.19000000&quot; , &quot;3a. low (CNY)&quot; =&gt; &quot;19621.81350000&quot; , &quot;3b. low (USD)&quot; =&gt; &quot;2817.00000000&quot; , &quot;4a. close (CNY)&quot; =&gt; &quot;30498.51140500&quot; , &quot;4b. close (USD)&quot; =&gt; &quot;4378.51000000&quot; , &quot;5. volume&quot; =&gt; &quot;27634.18912000&quot; , &quot;6. market cap (USD)&quot; =&gt; &quot;27634.18912000&quot; } , &quot;2017-10-31&quot; =&gt; %{ &quot;1a. open (CNY)&quot; =&gt; &quot;30498.37209500&quot; , &quot;1b. open (USD)&quot; =&gt; &quot;4378.49000000&quot; , &quot;2a. high (CNY)&quot; =&gt; &quot;45261.88865500&quot; , &quot;2b. high (USD)&quot; =&gt; &quot;6498.01000000&quot; , &quot;3a. low (CNY)&quot; =&gt; &quot;28628.20500000&quot; , &quot;3b. low (USD)&quot; =&gt; &quot;4110.00000000&quot; , &quot;4a. close (CNY)&quot; =&gt; &quot;45018.02650000&quot; , &quot;4b. close (USD)&quot; =&gt; &quot;6463.00000000&quot; , &quot;5. volume&quot; =&gt; &quot;41626.38846300&quot; , &quot;6. market cap (USD)&quot; =&gt; &quot;41626.38846300&quot; } , ... } } } Technical Indicators Example iex&gt; AlphaVantage.TechnicalIndicators . mom ( &quot;AAPL&quot; , &quot;monthly&quot; , 6 , &quot;close&quot; ) { :ok , %{ &quot;Meta Data&quot; =&gt; %{ &quot;1: Symbol&quot; =&gt; &quot;AAPL&quot; , &quot;2: Indicator&quot; =&gt; &quot;Momentum (MOM)&quot; , &quot;3: Last Refreshed&quot; =&gt; &quot;2020-01-03&quot; , &quot;4: Interval&quot; =&gt; &quot;monthly&quot; , &quot;5: Time Period&quot; =&gt; 6 , &quot;6: Series Type&quot; =&gt; &quot;close&quot; , &quot;7: Time Zone&quot; =&gt; &quot;US/Eastern Time&quot; } , &quot;Technical Analysis: MOM&quot; =&gt; %{ &quot;2011-06-30&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;13.1100&quot; } , &quot;2010-06-30&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;40.7980&quot; } , &quot;2006-10-31&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;10.6900&quot; } , &quot;2012-02-29&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;157.6100&quot; } , &quot;2003-02-28&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;0.2600&quot; } , &quot;2011-09-30&quot; =&gt; %{ &quot;MOM&quot; =&gt; &quot;32.8125&quot; } , &quot;2016-02-29&quot; =&gt; %{ ... } , ... } } } Sector Performances Example iex&gt; AlphaVantage.SectorPerformances . sector ( ) { :ok , %{ &quot;Meta Data&quot; =&gt; %{ &quot;Information&quot; =&gt; &quot;US Sector Performance (realtime &amp; historical)&quot; , &quot;Last Refreshed&quot; =&gt; &quot;2020-01-05 15:14:28 US/Eastern&quot; } , &quot;Rank A: Real-Time Performance&quot; =&gt; %{ &quot;Communication Services&quot; =&gt; &quot;-0.55%&quot; , &quot;Consumer Discretionary&quot; =&gt; &quot;-0.85%&quot; , &quot;Consumer Staples&quot; =&gt; &quot;-0.17%&quot; , &quot;Energy&quot; =&gt; &quot;-0.34%&quot; , &quot;Financials&quot; =&gt; &quot;-1.10%&quot; , &quot;Health Care&quot; =&gt; &quot;-0.85%&quot; , &quot;Industrials&quot; =&gt; &quot;-0.12%&quot; , &quot;Information Technology&quot; =&gt; &quot;-1.06%&quot; , &quot;Materials&quot; =&gt; &quot;-1.62%&quot; , &quot;Real Estate&quot; =&gt; &quot;0.81%&quot; , &quot;Utilities&quot; =&gt; &quot;0.11%&quot; } , &quot;Rank B: 1 Day Performance&quot; =&gt; %{ &quot;Communication Services&quot; =&gt; &quot;-0.55%&quot; , &quot;Consumer Discretionary&quot; =&gt; &quot;-0.85%&quot; , &quot;Consumer Staples&quot; =&gt; &quot;-0.17%&quot; , &quot;Energy&quot; =&gt; &quot;-0.34%&quot; , &quot;Financials&quot; =&gt; &quot;-1.10%&quot; , &quot;Health Care&quot; =&gt; &quot;-0.85%&quot; , &quot;Industrials&quot; =&gt; &quot;-0.12%&quot; , &quot;Information Technology&quot; =&gt; &quot;-1.06%&quot; , &quot;Materials&quot; =&gt; &quot;-1.62%&quot; , &quot;Real Estate&quot; =&gt; &quot;0.81%&quot; , &quot;Utilities&quot; =&gt; &quot;0.11%&quot; } , ... } }","ref":"readme.html#usage","title":"Alpha Vantage - Usage","type":"extras"},{"doc":"Currently, the API key limitations have resulted in very little test coverage. Hopefully, we will be able to resolve this in the near future. In the meantime, please open issues for any problems encountered and we will look to address as promptly as possible.","ref":"readme.html#a-note-on-tests","title":"Alpha Vantage - A Note on Tests","type":"extras"},{"doc":"Contributions are welcome and much appreciated, particularly as we try to keep up with new features from Alpha Vantage. Please feel free to open an issue in advance of any work to confirm that any new features are not already being accounted for or to more generally discuss updates prior to implementation.","ref":"readme.html#contributing","title":"Alpha Vantage - Contributing","type":"extras"}]